Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class DOMHelper

    java.lang.Object
      |
      +--com.beasys.commerce.util.DOMHelper

Deprecated. Use `DomHelper`

public class DOMHelper
extends java.lang.Object

Constructor Summary
`DOMHelper()` Deprecated.

Method Summary
`static java.lang.String` | `extractAttributeValue(org.w3c.dom.Node node, java.lang.String attribute)` Deprecated. Finds value for an attribute with a given name.
`static org.w3c.dom.Node` | `extractNodeByTag(org.w3c.dom.Node node, java.lang.String tag)` Deprecated. Returns a node matching a given tag.
`static org.w3c.dom.NodeList` | `extractNodeListByTag(org.w3c.dom.Node node, java.lang.String tag)` Deprecated. /** Returns a nodeList consisting of nodes that match a given tag and that are descendant elements of a given node.
`static java.lang.String` | `extractNodeValue(org.w3c.dom.Node node)` Deprecated. Finds node value as string object Return null if node is not present or the node does not have a value
`static java.lang.String` | `getTagName(org.w3c.dom.Element e)` Deprecated. Get the non-namespace-prefixed tag name of an element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMHelper

    public DOMHelper()

  Deprecated.

Method Detail

### extractNodeByTag

    public static org.w3c.dom.Node extractNodeByTag(org.w3c.dom.Node node,
                                                    java.lang.String tag)
                                             throws ApplicationException

  Deprecated.
  Returns a node matching a given tag. Returned node is a child of a given node. Returns null if no node has been found, or if the given node is null. Throws an exception if a given node has more than one child node with a given tag.

  Parameters:
    `node` - xml node from DOM model
    `tag` - specifies the name of the node to look for in the DOM model

### extractNodeListByTag

    public static org.w3c.dom.NodeList extractNodeListByTag(org.w3c.dom.Node node,
                                                            java.lang.String tag)
                                                     throws ApplicationException

  Deprecated.
  /** Returns a nodeList consisting of nodes that match a given tag and that are descendant elements of a given node. Elements might not be node's direct children, but few levels deep. Returns null if no subelements have been found, or if the given node is null

  Parameters:
    `node` - xml node from DOM model
    `tag` - specifies the name of the node to look for in the DOM model

### extractNodeValue

    public static java.lang.String extractNodeValue(org.w3c.dom.Node node)
                                             throws ApplicationException

  Deprecated.
  Finds node value as string object Return null if node is not present or the node does not have a value

  Parameters:
    `node` - xml node from DOM model

### extractAttributeValue

    public static java.lang.String extractAttributeValue(org.w3c.dom.Node node,
                                                         java.lang.String attribute)
                                                  throws ApplicationException

  Deprecated.
  Finds value for an attribute with a given name. Attribute belongs to a given node. Only nodes that are elements will have attributes. Returns null if the given node is null or attribute does not exist Throws exception if given node is not an element.

  Parameters:
    `node` - xml node from DOM model
    `attribute` - the name of the attribute

### getTagName

    public static java.lang.String getTagName(org.w3c.dom.Element e)

  Deprecated.
  Get the non-namespace-prefixed tag name of an element.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved